/******************************************************************************************
	CRTEST PS   (c) 1999-2001 ISL

	startup.h:			Startup stuff
******************************************************************************************/

#ifndef _STARTUP_H_
#define _STARTUP_H_

// called from the memory card checker
void languageDrawBackground(void);
void languageStart(void);
void startupContinue();	// (from language screen, which has called startupload already)
void languageDraw(void);
void languageCycle(void);


int startupCheckForEndOfGingerAnim(void);
int startupLightOverGinger(void);
int startupLightOverRocky(void);
void startupMoveActors(void);
void startupLoad();
void startupStart(void);

void startupFreeStart();
void startupFreeLoad();

void startupEndStart(void);
void startupEndLoad(void);
extern TextureType *plank;

void SwimCheatReset();
int SwimCheatCycle();

#endif
